# ReflectionClass::implementsInterface

(PHP 5, PHP 7)

ReflectionClass::implementsInterface — Implements interface

### Description

public ReflectionClass::implementsInterface ( string `$interface` ) : bool

Checks whether it implements an interface.

### Parameters

`interface`

  The interface name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ReflectionClass::isInterface() - Checks if the class is an interface
- ReflectionClass::isSubclassOf() - Checks if a subclass
- interface_exists() - Checks if the interface has been defined
- Object Interfaces